Page MenuHomePhabricator

Africa Wikimedia Developers Leaderboard Monthly Statistics for the year 2017
Closed, ResolvedPublic

Description

Monthly statistics for the top 3 developers who fix the most number of bugs (hence most active) within the continent. After having many countries, we intend to keep this a tradition to rank top developers from Africa that hack on MediaWiki and its extensions.

December 2017

  1. @Noella94 (1 patch submitted & merged) - Patch 1
  2. @BamLifa (1 patch submitted & under review) - Patch 1

October 2017

  1. @Noella94 (4 patches submitted where 3 merged & 1 abandoned) - Patch 1, Patch 2, Patch 3, Patch 4.
  2. @rosalieper (1 patch submitted & under review) - Patch 1.

September 2017

  1. @Eugene233 (4 patches submitted where 3 merged & 1 under review) - Patch 1, Patch 2, Patch 3, Patch 4.
  2. @samuelguebo (1 patch submitted & merged) - Patch 1

August 2017

  1. @rosalieper (2 patches submitted & merged) - Patch 1, Patch 2
  2. @Eugene233 (2 patches submitted where 1 patch is merged) - Patch 1, Patch 2
  3. @samuelguebo (1 patch submitted & merged) - Patch 1

July 2017

  1. @Eugene233 (4 patches submitted where 3 merged & 1 under review) - Patch 1, Patch 2, Patch 3, Patch 4
  2. @rosalieper (2 patch submitted where 1 merged) - Patch 1, Patch 2
  3. @samuelguebo (1 ticket working on) - T74445

Event Timeline

xSavitar created this task.Jul 3 2017, 7:02 PM
xSavitar updated the task description. (Show Details)
xSavitar updated the task description. (Show Details)
xSavitar updated the task description. (Show Details)
xSavitar moved this task from Backlog to Follow Ups on the Africa-Wikimedia-Developers board.
Flixtey claimed this task.Jul 3 2017, 7:04 PM
Aklapper renamed this task from Leaderboard Monthly Statistics for the year 2017 to Africa Wikimedia Developers Leaderboard Monthly Statistics for the year 2017.Jul 4 2017, 2:08 AM
Aklapper moved this task from To triage to Team radar on the Developer-Advocacy board.

I love this idea and I'm curious to learn how you "measure" or "judge" your Top 3.

(PS: I rephrased the task summary a bit to provide more context when only looking at the task name on the Developer-Advocacy workboard.)

rosalieper added a subscriber: rosalieper.
Flixtey added a comment.EditedAug 4 2017, 10:13 AM

I love this idea and I'm curious to learn how you "measure" or "judge" your Top 3.

(PS: I rephrased the task summary a bit to provide more context when only looking at the task name on the Developer-Advocacy workboard.)

Hello @Aklapper thanks for your interest in the leaderboard. To be able to give a good measure for the leader board we have weighted each of the three stages on working on a bug (ongoing work on a bug, submitted patches and merged patches). These stages are weighted 15%, 35% and 50% respectively, based on the essence of each stage and we have considered a step like "ongoing work on a bug" because majority of these users are new and its a motivation to at least get them started.

Flixtey updated the task description. (Show Details)Aug 4 2017, 10:19 AM
Flixtey added a subscriber: samuelguebo.
xSavitar updated the task description. (Show Details)Aug 5 2017, 4:25 PM
xSavitar updated the task description. (Show Details)Aug 5 2017, 4:36 PM
xSavitar updated the task description. (Show Details)Aug 5 2017, 4:43 PM
xSavitar updated the task description. (Show Details)Aug 9 2017, 3:51 PM
xSavitar updated the task description. (Show Details)Aug 22 2017, 10:26 AM
xSavitar raised the priority of this task from Medium to High.Sep 2 2017, 3:37 PM
xSavitar updated the task description. (Show Details)
xSavitar updated the task description. (Show Details)Sep 2 2017, 3:44 PM
xSavitar updated the task description. (Show Details)
Zppix added a subscriber: Zppix.Sep 2 2017, 4:10 PM

I have personally helped with @Eugene233 and he has a decent understanding of MediaWiki, and other wikimedia projects. As always I am willing to help mentor/help out with the African community of developers. Just let me know if you need any assistance.

I have personally helped with @Eugene233 and he has a decent understanding of MediaWiki, and other wikimedia projects. As always I am willing to help mentor/help out with the African community of developers. Just let me know if you need any assistance.

Thank you very much @Zppix. Much appreciated and of course, we will ping me if we need any assistance :).

xSavitar updated the task description. (Show Details)Sep 5 2017, 4:34 PM
xSavitar updated the task description. (Show Details)Sep 24 2017, 2:24 PM
xSavitar updated the task description. (Show Details)Oct 13 2017, 2:25 PM
xSavitar updated the task description. (Show Details)Oct 13 2017, 2:30 PM
xSavitar updated the task description. (Show Details)Oct 13 2017, 4:56 PM
xSavitar updated the task description. (Show Details)Oct 27 2017, 3:27 PM
xSavitar updated the task description. (Show Details)Nov 3 2017, 4:18 PM
xSavitar updated the task description. (Show Details)Nov 11 2017, 7:19 PM
xSavitar updated the task description. (Show Details)
xSavitar added a subscriber: Noella94.
xSavitar updated the task description. (Show Details)Jan 10 2018, 9:17 AM
xSavitar added a subscriber: BamLifa.
xSavitar closed this task as Resolved.Feb 8 2018, 8:48 PM

Thanks to everyone that worked so hard to contribute to MediaWiki and it's related extensions and other Wikimedia related projects. We are glad to see us all make this contributions to touch the lives of many using free content around the world. Looking forward to 2018 and seeing more patches and names on the leader board. Here is the ticket to track that: T184192.

Happy hacking!!!

rosalieper updated the task description. (Show Details)Mar 6 2018, 5:59 PM
rosalieper updated the task description. (Show Details)Mar 6 2018, 6:04 PM
xSavitar updated the task description. (Show Details)Apr 29 2018, 3:15 PM